import java.util.Scanner;

public class Zadatak {

    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        int N = sc.nextInt();
        double[][] m = new double[N][2];     
        for (int i = 0; i < N; i++) {
            for (int j = 0; j < 2; j++) {
                m[i][j] = sc.nextDouble();
            }
        }   
        double max = 0;     
        for (int i = 0; i < N; i++) {        
            double s = 0;
            for (int j = 0; j < N; j++) {
                if(m[i][1]<=m[j][1]){
                    s = s + (m[j][0]*m[i][1])/100;   
                }
            }
            if(s>max)
                max = s;
        }
        System.out.println(max);
    }   
}